# Uses of Class
org.apache.lucene.queries.intervals.IntervalIterator

Packages that use IntervalIterator
Package
Description
org.apache.lucene.queries.intervals
Intervals queries

- ## Uses of IntervalIterator in org.apache.lucene.queries.intervals

  Subclasses of IntervalIterator in org.apache.lucene.queries.intervals
  Modifier and Type
  Class
  Description
  `class`
  `IntervalFilter`
  Wraps an `IntervalIterator` and passes through those intervals that match the `IntervalFilter.accept()` function
  Fields in org.apache.lucene.queries.intervals declared as IntervalIterator
  Modifier and Type
  Field
  Description
  `protected final IntervalIterator`
  IntervalFilter.`in`
  Methods in org.apache.lucene.queries.intervals that return IntervalIterator
  Modifier and Type
  Method
  Description
  `IntervalIterator`
  FilteredIntervalsSource.`intervals(String field, LeafReaderContext ctx)`
  `abstract IntervalIterator`
  IntervalsSource.`intervals(String field, LeafReaderContext ctx)`
  Create an `IntervalIterator` exposing the minimum intervals defined by this `IntervalsSource`
  Methods in org.apache.lucene.queries.intervals with parameters of type IntervalIterator
  Modifier and Type
  Method
  Description
  `protected abstract boolean`
  FilteredIntervalsSource.`accept(IntervalIterator it)`
  Constructors in org.apache.lucene.queries.intervals with parameters of type IntervalIterator
  Modifier
  Constructor
  Description
  ``
  `IntervalFilter(IntervalIterator in)`
  Create a new filter